{
  "ABIRoot": {
    "kind": "Root",
    "name": "NfcLockFramework",
    "printedName": "NfcLockFramework",
    "children": [
      {
        "kind": "Import",
        "name": "CoreNFC",
        "printedName": "CoreNFC",
        "declKind": "Import",
        "moduleName": "NfcLockFramework"
      },
      {
        "kind": "Import",
        "name": "NFCSDK",
        "printedName": "NFCSDK",
        "declKind": "Import",
        "moduleName": "NfcLockFramework"
      },
      {
        "kind": "TypeDecl",
        "name": "NFCManager",
        "printedName": "NFCManager",
        "children": [
          {
            "kind": "Function",
            "name": "startScan",
            "printedName": "startScan()",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              }
            ],
            "declKind": "Func",
            "usr": "c:@M@NfcLockFramework@objc(cs)NFCManager(cm)startScan",
            "mangledName": "$s16NfcLockFramework10NFCManagerC9startScanyyFZ",
            "moduleName": "NfcLockFramework",
            "static": true,
            "declAttributes": [
              "Final",
              "AccessControl",
              "ObjC",
              "RawDocComment"
            ],
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "endScan",
            "printedName": "endScan()",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              }
            ],
            "declKind": "Func",
            "usr": "c:@M@NfcLockFramework@objc(cs)NFCManager(cm)endScan",
            "mangledName": "$s16NfcLockFramework10NFCManagerC7endScanyyFZ",
            "moduleName": "NfcLockFramework",
            "static": true,
            "declAttributes": [
              "Final",
              "AccessControl",
              "ObjC"
            ],
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "endScan",
            "printedName": "endScan(errorMessage:)",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              },
              {
                "kind": "TypeNominal",
                "name": "String",
                "printedName": "Swift.String",
                "usr": "s:SS"
              }
            ],
            "declKind": "Func",
            "usr": "c:@M@NfcLockFramework@objc(cs)NFCManager(cm)endScanWithErrorMessage:",
            "mangledName": "$s16NfcLockFramework10NFCManagerC7endScan12errorMessageySS_tFZ",
            "moduleName": "NfcLockFramework",
            "static": true,
            "objc_name": "endScanWithErrorMessage:",
            "declAttributes": [
              "Final",
              "AccessControl",
              "ObjC"
            ],
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "setLoopCb",
            "printedName": "setLoopCb(cb:)",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              },
              {
                "kind": "TypeFunc",
                "name": "Function",
                "printedName": "(Swift.String, Swift.Bool, Swift.Int) -> Swift.Bool",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "Bool",
                    "printedName": "Swift.Bool",
                    "usr": "s:Sb"
                  },
                  {
                    "kind": "TypeNominal",
                    "name": "Tuple",
                    "printedName": "(Swift.String, Swift.Bool, Swift.Int)",
                    "children": [
                      {
                        "kind": "TypeNominal",
                        "name": "String",
                        "printedName": "Swift.String",
                        "usr": "s:SS"
                      },
                      {
                        "kind": "TypeNominal",
                        "name": "Bool",
                        "printedName": "Swift.Bool",
                        "usr": "s:Sb"
                      },
                      {
                        "kind": "TypeNominal",
                        "name": "Int",
                        "printedName": "Swift.Int",
                        "usr": "s:Si"
                      }
                    ]
                  }
                ]
              }
            ],
            "declKind": "Func",
            "usr": "c:@M@NfcLockFramework@objc(cs)NFCManager(cm)setLoopCbWithCb:",
            "mangledName": "$s16NfcLockFramework10NFCManagerC9setLoopCb2cbySbSS_SbSitc_tFZ",
            "moduleName": "NfcLockFramework",
            "static": true,
            "objc_name": "setLoopCbWithCb:",
            "declAttributes": [
              "Final",
              "AccessControl",
              "ObjC"
            ],
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "setFinishedCb",
            "printedName": "setFinishedCb(cb:)",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              },
              {
                "kind": "TypeFunc",
                "name": "Function",
                "printedName": "() -> ()",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "Void",
                    "printedName": "()"
                  },
                  {
                    "kind": "TypeNominal",
                    "name": "Void",
                    "printedName": "()"
                  }
                ]
              }
            ],
            "declKind": "Func",
            "usr": "c:@M@NfcLockFramework@objc(cs)NFCManager(cm)setFinishedCbWithCb:",
            "mangledName": "$s16NfcLockFramework10NFCManagerC13setFinishedCb2cbyyyc_tFZ",
            "moduleName": "NfcLockFramework",
            "static": true,
            "objc_name": "setFinishedCbWithCb:",
            "declAttributes": [
              "Final",
              "AccessControl",
              "ObjC"
            ],
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "setChargingCb",
            "printedName": "setChargingCb(cb:)",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              },
              {
                "kind": "TypeFunc",
                "name": "Function",
                "printedName": "(Swift.String, Swift.Int) -> ()",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "Void",
                    "printedName": "()"
                  },
                  {
                    "kind": "TypeNominal",
                    "name": "Tuple",
                    "printedName": "(Swift.String, Swift.Int)",
                    "children": [
                      {
                        "kind": "TypeNominal",
                        "name": "String",
                        "printedName": "Swift.String",
                        "usr": "s:SS"
                      },
                      {
                        "kind": "TypeNominal",
                        "name": "Int",
                        "printedName": "Swift.Int",
                        "usr": "s:Si"
                      }
                    ]
                  }
                ]
              }
            ],
            "declKind": "Func",
            "usr": "c:@M@NfcLockFramework@objc(cs)NFCManager(cm)setChargingCbWithCb:",
            "mangledName": "$s16NfcLockFramework10NFCManagerC13setChargingCb2cbyySS_Sitc_tFZ",
            "moduleName": "NfcLockFramework",
            "static": true,
            "objc_name": "setChargingCbWithCb:",
            "declAttributes": [
              "Final",
              "AccessControl",
              "ObjC"
            ],
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "setControllingCb",
            "printedName": "setControllingCb(cb:)",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              },
              {
                "kind": "TypeFunc",
                "name": "Function",
                "printedName": "(Swift.String, Swift.Int) -> ()",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "Void",
                    "printedName": "()"
                  },
                  {
                    "kind": "TypeNominal",
                    "name": "Tuple",
                    "printedName": "(Swift.String, Swift.Int)",
                    "children": [
                      {
                        "kind": "TypeNominal",
                        "name": "String",
                        "printedName": "Swift.String",
                        "usr": "s:SS"
                      },
                      {
                        "kind": "TypeNominal",
                        "name": "Int",
                        "printedName": "Swift.Int",
                        "usr": "s:Si"
                      }
                    ]
                  }
                ]
              }
            ],
            "declKind": "Func",
            "usr": "c:@M@NfcLockFramework@objc(cs)NFCManager(cm)setControllingCbWithCb:",
            "mangledName": "$s16NfcLockFramework10NFCManagerC16setControllingCb2cbyySS_Sitc_tFZ",
            "moduleName": "NfcLockFramework",
            "static": true,
            "objc_name": "setControllingCbWithCb:",
            "declAttributes": [
              "Final",
              "AccessControl",
              "ObjC"
            ],
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "lock",
            "printedName": "lock(password:)",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              },
              {
                "kind": "TypeNominal",
                "name": "String",
                "printedName": "Swift.String",
                "usr": "s:SS"
              }
            ],
            "declKind": "Func",
            "usr": "c:@M@NfcLockFramework@objc(cs)NFCManager(cm)lockWithPassword:",
            "mangledName": "$s16NfcLockFramework10NFCManagerC4lock8passwordySS_tFZ",
            "moduleName": "NfcLockFramework",
            "static": true,
            "objc_name": "lockWithPassword:",
            "declAttributes": [
              "Final",
              "AccessControl",
              "ObjC"
            ],
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "unlock",
            "printedName": "unlock(password:)",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              },
              {
                "kind": "TypeNominal",
                "name": "String",
                "printedName": "Swift.String",
                "usr": "s:SS"
              }
            ],
            "declKind": "Func",
            "usr": "c:@M@NfcLockFramework@objc(cs)NFCManager(cm)unlockWithPassword:",
            "mangledName": "$s16NfcLockFramework10NFCManagerC6unlock8passwordySS_tFZ",
            "moduleName": "NfcLockFramework",
            "static": true,
            "objc_name": "unlockWithPassword:",
            "declAttributes": [
              "Final",
              "AccessControl",
              "ObjC"
            ],
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "tagReaderSessionDidBecomeActive",
            "printedName": "tagReaderSessionDidBecomeActive(_:)",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              },
              {
                "kind": "TypeNominal",
                "name": "NFCTagReaderSession",
                "printedName": "CoreNFC.NFCTagReaderSession",
                "usr": "c:objc(cs)NFCTagReaderSession"
              }
            ],
            "declKind": "Func",
            "usr": "s:16NfcLockFramework10NFCManagerC31tagReaderSessionDidBecomeActiveyySo06NFCTagfG0CF",
            "mangledName": "$s16NfcLockFramework10NFCManagerC31tagReaderSessionDidBecomeActiveyySo06NFCTagfG0CF",
            "moduleName": "NfcLockFramework",
            "declAttributes": [
              "AccessControl",
              "RawDocComment"
            ],
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "tagReaderSession",
            "printedName": "tagReaderSession(_:didInvalidateWithError:)",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              },
              {
                "kind": "TypeNominal",
                "name": "NFCTagReaderSession",
                "printedName": "CoreNFC.NFCTagReaderSession",
                "usr": "c:objc(cs)NFCTagReaderSession"
              },
              {
                "kind": "TypeNominal",
                "name": "Error",
                "printedName": "any Swift.Error",
                "usr": "s:s5ErrorP"
              }
            ],
            "declKind": "Func",
            "usr": "s:16NfcLockFramework10NFCManagerC16tagReaderSession_22didInvalidateWithErrorySo06NFCTagfG0C_s0K0_ptF",
            "mangledName": "$s16NfcLockFramework10NFCManagerC16tagReaderSession_22didInvalidateWithErrorySo06NFCTagfG0C_s0K0_ptF",
            "moduleName": "NfcLockFramework",
            "declAttributes": [
              "AccessControl",
              "RawDocComment"
            ],
            "funcSelfKind": "NonMutating"
          },
          {
            "kind": "Function",
            "name": "tagReaderSession",
            "printedName": "tagReaderSession(_:didDetect:)",
            "children": [
              {
                "kind": "TypeNominal",
                "name": "Void",
                "printedName": "()"
              },
              {
                "kind": "TypeNominal",
                "name": "NFCTagReaderSession",
                "printedName": "CoreNFC.NFCTagReaderSession",
                "usr": "c:objc(cs)NFCTagReaderSession"
              },
              {
                "kind": "TypeNominal",
                "name": "Array",
                "printedName": "[CoreNFC.NFCTag]",
                "children": [
                  {
                    "kind": "TypeNominal",
                    "name": "NFCTag",
                    "printedName": "CoreNFC.NFCTag",
                    "usr": "s:7CoreNFC6NFCTagO"
                  }
                ],
                "usr": "s:Sa"
              }
            ],
            "declKind": "Func",
            "usr": "s:16NfcLockFramework10NFCManagerC16tagReaderSession_9didDetectySo06NFCTagfG0C_Say7CoreNFC0J0OGtF",
            "mangledName": "$s16NfcLockFramework10NFCManagerC16tagReaderSession_9didDetectySo06NFCTagfG0C_Say7CoreNFC0J0OGtF",
            "moduleName": "NfcLockFramework",
            "declAttributes": [
              "AccessControl",
              "RawDocComment"
            ],
            "funcSelfKind": "NonMutating"
          }
        ],
        "declKind": "Class",
        "usr": "c:@M@NfcLockFramework@objc(cs)NFCManager",
        "mangledName": "$s16NfcLockFramework10NFCManagerC",
        "moduleName": "NfcLockFramework",
        "objc_name": "NFCManager",
        "declAttributes": [
          "AccessControl",
          "ObjC"
        ],
        "superclassUsr": "c:objc(cs)NSObject",
        "hasMissingDesignatedInitializers": true,
        "inheritsConvenienceInitializers": true,
        "superclassNames": [
          "ObjectiveC.NSObject"
        ],
        "conformances": [
          {
            "kind": "Conformance",
            "name": "NFCTagReaderSessionDelegate",
            "printedName": "NFCTagReaderSessionDelegate",
            "usr": "s:7CoreNFC27NFCTagReaderSessionDelegateP",
            "mangledName": "$s7CoreNFC27NFCTagReaderSessionDelegateP"
          },
          {
            "kind": "Conformance",
            "name": "Copyable",
            "printedName": "Copyable",
            "usr": "s:s8CopyableP",
            "mangledName": "$ss8CopyableP"
          },
          {
            "kind": "Conformance",
            "name": "Escapable",
            "printedName": "Escapable",
            "usr": "s:s9EscapableP",
            "mangledName": "$ss9EscapableP"
          },
          {
            "kind": "Conformance",
            "name": "Equatable",
            "printedName": "Equatable",
            "usr": "s:SQ",
            "mangledName": "$sSQ"
          },
          {
            "kind": "Conformance",
            "name": "Hashable",
            "printedName": "Hashable",
            "usr": "s:SH",
            "mangledName": "$sSH"
          },
          {
            "kind": "Conformance",
            "name": "CVarArg",
            "printedName": "CVarArg",
            "usr": "s:s7CVarArgP",
            "mangledName": "$ss7CVarArgP"
          },
          {
            "kind": "Conformance",
            "name": "_KeyValueCodingAndObservingPublishing",
            "printedName": "_KeyValueCodingAndObservingPublishing",
            "usr": "s:10Foundation37_KeyValueCodingAndObservingPublishingP",
            "mangledName": "$s10Foundation37_KeyValueCodingAndObservingPublishingP"
          },
          {
            "kind": "Conformance",
            "name": "_KeyValueCodingAndObserving",
            "printedName": "_KeyValueCodingAndObserving",
            "usr": "s:10Foundation27_KeyValueCodingAndObservingP",
            "mangledName": "$s10Foundation27_KeyValueCodingAndObservingP"
          },
          {
            "kind": "Conformance",
            "name": "CustomStringConvertible",
            "printedName": "CustomStringConvertible",
            "usr": "s:s23CustomStringConvertibleP",
            "mangledName": "$ss23CustomStringConvertibleP"
          },
          {
            "kind": "Conformance",
            "name": "CustomDebugStringConvertible",
            "printedName": "CustomDebugStringConvertible",
            "usr": "s:s28CustomDebugStringConvertibleP",
            "mangledName": "$ss28CustomDebugStringConvertibleP"
          }
        ]
      }
    ],
    "json_format_version": 8
  },
  "ConstValues": [
    {
      "filePath": "\/Users\/apple\/Desktop\/code\/NFCLockDemoMaui\/NfcLock.Ios.Binding\/NfcLockFramework\/NfcLockFramework\/NfcLockFramework.swift",
      "kind": "BooleanLiteral",
      "offset": 452,
      "length": 4,
      "value": "true"
    },
    {
      "filePath": "\/Users\/apple\/Desktop\/code\/NFCLockDemoMaui\/NfcLock.Ios.Binding\/NfcLockFramework\/NfcLockFramework\/NfcLockFramework.swift",
      "kind": "StringLiteral",
      "offset": 479,
      "length": 2,
      "value": "\"\""
    }
  ]
}